/* CORPSE.PIKE - Programmed by Maarten Hofman */
/* 280404: Started programming */
/* 030504: Made it impossible to pickup */
/* 310704: Added description */

inherit "item";

void desintegrate2() {
  game->remove_item(this_object());
}

void desintegrate1() {
  /* First move the corpse down */
  game->say(this_object(),"003 LOCATE "+name+" X "+x+" Y "+(y-5)+" Z "+z+"\n");
  /* Then, two seconds later, make it disappear */
  call_out(desintegrate2,2);
}

void create() {
  ::create();
  name="corpse";
  model="corpse.txt";
  texture="woman8_.tm2";
  can_pickup=0;
  description="A rotting corpse.\n";
  /* Corpses desintegrate after 5 minutes */
  call_out(desintegrate1,300);
}
