/* WEAPON.PIKE - Programmed by Maarten Hofman */
/* 090504: Started programming */
/* 240704: Added use model */
/* 191004: Added race to damage check */

inherit "item";

int attack_modifier,hit_modifier,hit_dice,defense_modifier,in_use;
string usemodel,usetexture;

void create() {
  ::create();
  attack_modifier=0;
  hit_modifier=0;
  hit_dice=1;
  defense_modifier=0;
  canuse=1;
  in_use=0;
  type="weapon";
  usemodel="warm.txt";
  usetexture="woman8_.tm2";
}

int get_attack_modifier() {
  return attack_modifier;
}

int get_damage(object who) {
int throw,i;

  for(i=0;i<hit_dice;i++) throw+=random(6)+1;
  throw+=hit_modifier;
  return throw;
}

int get_defense_modifier() {
  return defense_modifier;
}

string get_long() {
string result;

  result=get_short();
  if(in_use) result+=" (wielded)";
  return result;
}

void use(int how,object who) {
  in_use=how;
}

string get_use_model() {
  return usemodel;
}

string get_use_texture() {
  return usetexture;
}

string get_sound() {
  return "sword1";
}

